Bug 217371 - devel/qca-qt5: fails to build on armv6
Summary: devel/qca-qt5: fails to build on armv6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: --- Affects Many People
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-26 14:00 UTC by mikael.urankar
Modified: 2017-04-09 08:29 UTC (History)
2 users (show)

See Also:
rakuco: maintainer-feedback+


Attachments
patch (1.02 KB, patch)
2017-02-26 14:00 UTC, mikael.urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mikael.urankar 2017-02-26 14:00:06 UTC
Created attachment 180313 [details]
patch

Hi,

error message:
/wrkdirs/usr/ports/devel/qca-qt5/work/qca-2.1.1/src/qca_textfilter.cpp:298:3: error: constant expression evaluates to -1 which cannot be narrowed to
type 'char' [-Wc++11-narrowing]
                -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,

It's fixed upstream:
https://cgit.kde.org/qca.git/commit/?id=601fd3a05141c614ae48a3ddac44194d669eaae1

the patch if for devel/qca.
Comment 1 commit-hook freebsd_committer 2017-04-08 21:34:24 UTC
A commit references this bug:

Author: rakuco
Date: Sat Apr  8 21:33:40 UTC 2017
New revision: 438068
URL: https://svnweb.freebsd.org/changeset/ports/438068

Log:
  Add upstream patch to fix the build on ARMv6.

  PR:		217371
  Submitted by:	mikael.urankar@gmail.com
  MFH:		2017Q2

Changes:
  head/devel/qca/files/patch-git_601fd3
Comment 2 Raphael Kubo da Costa freebsd_committer 2017-04-08 21:34:47 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2017-04-09 08:29:05 UTC
A commit references this bug:

Author: rakuco
Date: Sun Apr  9 08:28:45 UTC 2017
New revision: 438078
URL: https://svnweb.freebsd.org/changeset/ports/438078

Log:
  MFH: r438068

  Add upstream patch to fix the build on ARMv6.

  PR:		217371
  Submitted by:	mikael.urankar@gmail.com

  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2017Q2/
  branches/2017Q2/devel/qca/files/patch-git_601fd3